-- my custom locale file - more streamlined than AceLocale and no lib dependency

-- To help with missing translations please go here:
-- http://www.wowace.com/addons/paste/localization/

local addonName, vars = ...
local Ld, La = {}, {}
local locale = GAME_LOCALE or GetLocale()

vars.L = setmetatable({},{
    __index = function(t, s) return La[s] or Ld[s] or rawget(t,s) or s end
})

Ld["Bind a key to toggle the Paste window"] = "Bind a key to toggle the Paste window"
Ld["characters"] = "characters"
Ld["Clear"] = "Clear"
Ld["Command-V"] = "Command-V"
Ld["Config"] = "Config"
Ld["Control-V"] = "Control-V"
Ld["Debug"] = "Debug"
Ld["Display minimap icon"] = "Display minimap icon"
Ld["for options"] = "for options"
Ld["General"] = "General"
Ld["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = "It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"
Ld["Left Click"] = "Left Click"
Ld["lines"] = "lines"
Ld["Minimap Icon"] = "Minimap Icon"
Ld["Open the configuration GUI"] = "Open the configuration GUI"
Ld["Paste"] = "Paste"
Ld["Paste and Close"] = "Paste and Close"
Ld["Paste to:"] = "Paste to:"
Ld["Profiles"] = "Profiles"
Ld["Right Click"] = "Right Click"
Ld["Show"] = "Show"
Ld["Show/Hide the Paste window"] = "Show/Hide the Paste window"
Ld["Toggle debugging output"] = "Toggle debugging output"
Ld["to toggle window"] = "to toggle window"
Ld["Use %s to paste the clipboard into this box"] = "Use %s to paste the clipboard into this box"
Ld["You must select a whisper target!"] = "You must select a whisper target!"


if locale == "frFR" then do end
La["Bind a key to toggle the Paste window"] = "Définir une touche pour basculer vers la fenêtre Coller" -- Needs review
La["characters"] = "caractères" -- Needs review
La["Clear"] = "Effacer"
La["Command-V"] = "Commande-V"
La["Config"] = "Configuration"
La["Control-V"] = "Contrôle-V"
La["Debug"] = "Debug"
La["Display minimap icon"] = "Afficher l'icône de la mini-carte"
La["for options"] = "pour les options"
La["General"] = "Général"
La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = "Il semblerait que vous essayez des commandes ''/slash'' dans la fenêtre de dialogue. Préféreriez-vous les exécuter?" -- Needs review
La["Left Click"] = "Clic gauche"
La["lines"] = "lignes"
La["Minimap Icon"] = "Icône de la mini-carte"
La["Open the configuration GUI"] = "Ouvrir l'interface graphique (GUI) de configuration"
La["Paste"] = "Coller"
La["Paste and Close"] = "Coller et fermer"
La["Paste to:"] = "Copier vers:"
La["Profiles"] = "Profils"
La["Right Click"] = "Clic droit"
La["Show"] = "Afficher"
La["Show/Hide the Paste window"] = "Afficher/Masquer la fenêtre de copie" -- Needs review
La["Toggle debugging output"] = "Basculer vers la sortie de debugging" -- Needs review
La["to toggle window"] = "pour basculer la fenêtre"
La["Use %s to paste the clipboard into this box"] = "Utiliser %s pour coller le presse-papier dans cette boîte" -- Needs review
La["You must select a whisper target!"] = "Vous devez sélectionner une cible à laquelle chuchoter!"

elseif locale == "deDE" then do end
La["Bind a key to toggle the Paste window"] = "Eine Taste festlegen zum Umschalten des Paste-Fensters"
La["characters"] = "Zeichen"
La["Clear"] = "Löschen"
La["Command-V"] = "cmd-v"
La["Config"] = "Konfiguration"
La["Control-V"] = "Strg-V"
La["Debug"] = "Debug"
La["Display minimap icon"] = "Minimap-Icon anzeigen"
La["for options"] = "für Optionen"
La["General"] = "Allgemein"
La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = "Es sieht so aus, als ob du einige Slash-Befehle in den Chat-Kanal einfügst. Sollen diese stattdessen ausgeführt werden?"
La["Left Click"] = "Linksklick"
La["lines"] = "Zeilen"
La["Minimap Icon"] = "Minimap-Icon"
La["Open the configuration GUI"] = "Öffne das Konfigurationsfenster"
La["Paste"] = "Einfügen"
La["Paste and Close"] = "Einfügen und schließen"
La["Paste to:"] = "Einfügen nach:"
La["Profiles"] = "Profile:"
La["Right Click"] = "Rechtsklick"
La["Show"] = "Zeige"
La["Show/Hide the Paste window"] = "Anzeigen/Verbergen des Paste-Fensters"
La["Toggle debugging output"] = "Debugging-Ausgabe umschalten"
La["to toggle window"] = "um Fenster umzuschalten"
La["Use %s to paste the clipboard into this box"] = "Benutze %s um den Inhalt der Zwischenablage in diesen Kasten einzufügen"
La["You must select a whisper target!"] = "Du must ein Flüster-Ziel auswählen!"

elseif locale == "koKR" then do end
-- La["Bind a key to toggle the Paste window"] = ""
-- La["characters"] = ""
-- La["Clear"] = ""
-- La["Command-V"] = ""
-- La["Config"] = ""
-- La["Control-V"] = ""
-- La["Debug"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = ""
-- La["Left Click"] = ""
-- La["lines"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Paste"] = ""
-- La["Paste and Close"] = ""
-- La["Paste to:"] = ""
-- La["Profiles"] = ""
-- La["Right Click"] = ""
-- La["Show"] = ""
-- La["Show/Hide the Paste window"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle window"] = ""
-- La["Use %s to paste the clipboard into this box"] = ""
-- La["You must select a whisper target!"] = ""

elseif locale == "esMX" then do end
La["Bind a key to toggle the Paste window"] = "Asigna una tecla para mostrar/ocultar la ventana de Paste"
La["characters"] = "caracteres"
La["Clear"] = "Limpiar"
La["Command-V"] = "Comando-V"
La["Config"] = "Opciones"
La["Control-V"] = "Ctrl-V"
La["Debug"] = "Depurar"
La["Display minimap icon"] = "Mostrar icono en minimapa"
La["for options"] = "para opciones"
La["General"] = "General"
La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = "Parece que estás pegando comandos. ¿Quieres ejecutarlos en lugar?"
La["Left Click"] = "Clic iqzuierda"
La["lines"] = "líneas"
La["Minimap Icon"] = "Icono en minimpa"
La["Open the configuration GUI"] = "Mostrar la ventana de configuracion"
La["Paste"] = "Empastar"
La["Paste and Close"] = "Empastar y ocultar"
La["Paste to:"] = "Empastar a:"
La["Profiles"] = "Perfiles"
La["Right Click"] = "Clic derecho"
La["Show"] = "Mostrar"
La["Show/Hide the Paste window"] = "Mostrar/ocultar la ventana de Paste"
La["Toggle debugging output"] = "Activar/desactivar los mensajes de depuracion"
La["to toggle window"] = "para mostrar/ocultar la ventana"
La["Use %s to paste the clipboard into this box"] = "Utilice %s para empastar el contenido del clipboard en esta casilla."
La["You must select a whisper target!"] = "Debes seleccionar un objetivo para susurrar!"

elseif locale == "ruRU" then do end
-- La["Bind a key to toggle the Paste window"] = ""
-- La["characters"] = ""
-- La["Clear"] = ""
-- La["Command-V"] = ""
-- La["Config"] = ""
-- La["Control-V"] = ""
-- La["Debug"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = ""
-- La["Left Click"] = ""
-- La["lines"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Paste"] = ""
-- La["Paste and Close"] = ""
-- La["Paste to:"] = ""
-- La["Profiles"] = ""
-- La["Right Click"] = ""
-- La["Show"] = ""
-- La["Show/Hide the Paste window"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle window"] = ""
-- La["Use %s to paste the clipboard into this box"] = ""
-- La["You must select a whisper target!"] = ""

elseif locale == "zhCN" then do end
La["Bind a key to toggle the Paste window"] = "绑定一个按钮来切换粘贴窗口"
La["characters"] = "字符"
La["Clear"] = "清除"
La["Command-V"] = "指令-V"
La["Config"] = "配置"
La["Control-V"] = "Ctrl-V"
La["Debug"] = "调试"
La["Display minimap icon"] = "显示小地图图标"
La["for options"] = "开启选项"
La["General"] = "一般"
La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = "看来你粘贴了一些命令到聊天频道。你是否希望改为执行它们？"
La["Left Click"] = "左键点击"
La["lines"] = "行"
La["Minimap Icon"] = "小地图图标"
La["Open the configuration GUI"] = "打开配置界面"
La["Paste"] = "粘贴"
La["Paste and Close"] = "粘贴并关闭"
La["Paste to:"] = "粘贴到："
La["Profiles"] = "配置文件"
La["Right Click"] = "右键单击"
La["Show"] = "显示"
La["Show/Hide the Paste window"] = "显示/隐藏粘贴窗口"
La["Toggle debugging output"] = "切换调试输出"
La["to toggle window"] = "以切换窗口"
La["Use %s to paste the clipboard into this box"] = "使用 %s 将剪贴板中内容粘贴到此窗口中"
La["You must select a whisper target!"] = "你必须选择一个密语目标！"

elseif locale == "esES" then do end
La["Bind a key to toggle the Paste window"] = "Asigna una tecla para mostrar/ocultar la ventana de Paste"
La["characters"] = "caracteres"
La["Clear"] = "Limpiar"
La["Command-V"] = "Comando-V"
La["Config"] = "Opciones"
La["Control-V"] = "Ctrl-V"
La["Debug"] = "Depurar"
La["Display minimap icon"] = "Mostrar icono en minimapa"
La["for options"] = "para opciones"
La["General"] = "General"
La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = "Parece que estás pegando comandos. ¿Quieres ejecutarlos en lugar?"
La["Left Click"] = "Clic iqzuierda"
La["lines"] = "líneas"
La["Minimap Icon"] = "Icono en minimpa"
La["Open the configuration GUI"] = "Mostrar la ventana de configuracion"
La["Paste"] = "Empastar"
La["Paste and Close"] = "Empastar y ocultar"
La["Paste to:"] = "Empastar a:"
La["Profiles"] = "Perfiles"
La["Right Click"] = "Clic derecho"
La["Show"] = "Mostrar"
La["Show/Hide the Paste window"] = "Mostrar/ocultar la ventana de Paste"
La["Toggle debugging output"] = "Activar/desactivar los mensajes de depuracion"
La["to toggle window"] = "para mostrar/ocultar la ventana"
La["Use %s to paste the clipboard into this box"] = "Utilice %s para empastar el contenido del clipboard en esta casilla."
La["You must select a whisper target!"] = "Debes seleccionar un objetivo para susurrar!"

elseif locale == "zhTW" then do end
La["Bind a key to toggle the Paste window"] = "綁定一個按鍵以切換黏貼視窗"
La["characters"] = "字符"
La["Clear"] = "清除"
La["Command-V"] = "指令-V"
La["Config"] = "設置"
La["Control-V"] = "Control-V"
La["Debug"] = "偵錯"
La["Display minimap icon"] = "顯示小地圖圖示"
La["for options"] = "開啟選項"
La["General"] = "一般"
La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = "看起來你貼上一些命令到聊天頻道。是否改為執行？"
La["Left Click"] = "左鍵點擊"
La["lines"] = "行"
La["Minimap Icon"] = "小地圖圖示"
La["Open the configuration GUI"] = "開啟設置介面"
La["Paste"] = "貼上"
La["Paste and Close"] = "貼上並關閉"
La["Paste to:"] = "貼到："
La["Profiles"] = "設定檔"
La["Right Click"] = "右鍵點擊"
La["Show"] = "顯示"
La["Show/Hide the Paste window"] = "顯示/隱藏黏貼視窗"
La["Toggle debugging output"] = "切換偵錯輸出"
La["to toggle window"] = "以切換視窗"
La["Use %s to paste the clipboard into this box"] = "使用 %s 將剪貼簿內容貼上此視窗"
La["You must select a whisper target!"] = "你必須選擇一個密語的目標！"

elseif locale == "ptBR" then do end
-- La["Bind a key to toggle the Paste window"] = ""
-- La["characters"] = ""
-- La["Clear"] = ""
-- La["Command-V"] = ""
-- La["Config"] = ""
-- La["Control-V"] = ""
-- La["Debug"] = ""
-- La["Display minimap icon"] = ""
-- La["for options"] = ""
-- La["General"] = ""
-- La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = ""
-- La["Left Click"] = ""
-- La["lines"] = ""
-- La["Minimap Icon"] = ""
-- La["Open the configuration GUI"] = ""
-- La["Paste"] = ""
-- La["Paste and Close"] = ""
-- La["Paste to:"] = ""
-- La["Profiles"] = ""
-- La["Right Click"] = ""
-- La["Show"] = ""
-- La["Show/Hide the Paste window"] = ""
-- La["Toggle debugging output"] = ""
-- La["to toggle window"] = ""
-- La["Use %s to paste the clipboard into this box"] = ""
-- La["You must select a whisper target!"] = ""

elseif locale == "itIT" then do end
La["Bind a key to toggle the Paste window"] = "Imposta un tasto per attivare la finestra di Paste" -- Needs review
La["characters"] = "personaggi" -- Needs review
La["Clear"] = "Pulisci" -- Needs review
La["Command-V"] = "Command-V" -- Needs review
La["Config"] = "Configurazione" -- Needs review
La["Control-V"] = "Control-V" -- Needs review
La["Debug"] = "Modalità sviluppatore" -- Needs review
La["Display minimap icon"] = "Mostra l'icona della mini-mappa" -- Needs review
La["for options"] = "per le opzioni" -- Needs review
La["General"] = "Generale" -- Needs review
La["It looks like you're pasting some slash commands to a chat channel. Would you like to execute them instead?"] = "Pare che tu stia incollando dei comandi con lo slash nel canale della chat. Vuoi che vengano eseguiti?" -- Needs review
La["Left Click"] = "Click Sinistro" -- Needs review
La["lines"] = "linee" -- Needs review
La["Minimap Icon"] = "Icona della mini-mappa" -- Needs review
La["Open the configuration GUI"] = "Apri la configurazione dell'interfaccia" -- Needs review
La["Paste"] = "Incolla" -- Needs review
La["Paste and Close"] = "Incolla e chiudi" -- Needs review
La["Paste to:"] = "Incolla in:" -- Needs review
La["Profiles"] = "Profili" -- Needs review
La["Right Click"] = "Click Destro" -- Needs review
La["Show"] = "Mostra" -- Needs review
La["Show/Hide the Paste window"] = "Mostra/Nascondi la finestra di Paste" -- Needs review
La["Toggle debugging output"] = "Attiva i messaggi sviluppatore" -- Needs review
La["to toggle window"] = "per attivare la finestra" -- Needs review
La["Use %s to paste the clipboard into this box"] = "Usa %s per incollare gli appunti in questo riquadro" -- Needs review
La["You must select a whisper target!"] = "Devi selezionare qualcuno a cui sussurrare!" -- Needs review

end
